export class ApiActionEnum {
  public static LIST_AIP_CONTAINER: string = "list-aip-containers";
  public static LIST_ACCESS_TYPE: string = "list-accesses";
  public static LIST_DATA_CATEGORY: string = "list-data-categories";
  public static LIST_DATA_TYPE: string = "list-data-types";
  public static LIST_QUERY_TYPE: string = "list-query-types";
  public static LIST_JOB_TYPE: string = "list-job-types";
  public static LIST_JOB_RECURRENCE: string = "list-job-recurrences";
  public static LIST_OAUTH2_GRANT_TYPE: string = "list-grant-types";
  public static LIST_STATUS: string = "list-status";
  public static LIST_FOLDERS: string = "list-folders";

  public static ARCHIVAL_UNITS: string = "archivalUnits";
  public static ARCHIVAL_COLLECTIONS: string = "archivalCollections";

  public static ORDER_LIST_BY_USER: string = "list-for-user";

  public static REINDEX: string = "reindex";
  public static CHECK_FIXITY: string = "check-fixity";
  public static SEARCH_DOI: string = "search-doi";

  public static SELF: string = "self";
  public static MODULE: string = "module";
  public static PARENT: string = "parent";
  public static STATUS: string = "status";
  public static DASHBOARD: string = "dashboard";
  public static RESOURCES: string = "resources";
  public static LIST: string = "list";
  public static FILE: string = "file";
  public static COUNT: string = "count";
  public static PREVIOUS: string = "previous";
  public static NEXT: string = "next";
  public static CREATE: string = "new";
  public static READ: string = "get";
  public static UPDATE: string = "edit";
  public static DELETE: string = "remove";
  public static VALUES: string = "values";
  public static SEARCH: string = "search";
  public static LASTCREATED: string = "lastCreated";
  public static LASTUPDATE: string = "lastUpdated";
  public static RANGE: string = "searchRange";
  public static SIZE: string = "size";
  public static PAGE: string = "page";
  public static SORT: string = "sort";
  public static CREATION: string = "creation.when";
  public static UPDATED: string = "lastUpdate.when";
  public static ERROR: string = "error";
  public static UL: string = "upload";
  public static UL_ARCHIVE: string = "upload-archive";
  public static DL: string = "download";
  public static HISTORY: string = "history";
  public static RESUME: string = "resume";
  public static START: string = "start";
  public static ALL: string = "All";
  public static VIEW: string = "view";
  public static SAVE: string = "save";
  public static IMPORT: string = "import";
  public static IMPORTED: string = "imported";
  public static CLOSE: string = "close";
  public static DOWNLOAD_STATUS: string = "download-status";
  public static PREPARE_DOWNLOAD: string = "prepare-download";
  public static RESERVE_DOI: string = "reserve-doi";

  public static LIST_AIP_WITH_STATUS: string = "list-aip-statuses";
  public static DL_STATUS: string = "download-status";
  public static LIST_DL_STATUS: string = "list-download-status";

  public static AUTHORIZE: string = "authorize";
  public static TOKEN: string = "token";
  public static CHECK_TOKEN: string = "check_token";
  public static REVOKE_ALL_TOKENS: string = "revoke-all-tokens";
  public static REVOKE_MY_TOKENS: string = "revoke-my-tokens";
  public static USER_ID: string = "externalUid";
  public static AUTHENTICATED: string = "authenticated";
  public static CLEAN: string = "clean";

  public static SUBMIT_FOR_APPROVAL: string = "submit-for-approval";
  public static APPROVE: string = "approve";
  public static REJECT: string = "reject";
  public static ENABLE_REVISION: string = "enable-revision";
}
